<template>
          <div class="text-center blocking">
              <v-dialog v-model="contentMenuBlockVisible" width="500">
                <v-card>
                  <v-card-title class="text-h5 grey lighten-2">
                    Blokowanie użytkownika
                  </v-card-title>
                  <v-card-text style="padding: 10px; text-align: center">
                    {{ this.contextMenuMessage }}
                  </v-card-text>
                  <v-divider></v-divider>
                  <v-card-actions>
                    <v-spacer></v-spacer>
                    <v-btn
                      color="primary"
                      text
                      @click="
                        unblockUser();
                        $emit('onContentMenuBlockVisible',false);
                      "
                    >
                      Chcę mieć kontakt
                    </v-btn>
                    <v-btn
                      color="error"
                      text
                      @click="
                        () => {
                          blockUser();
                          $emit('onContentMenuBlockVisible',false)
                        }
                      "
                    >
                      <span>Blokuj użytkownika</span>
                      <v-icon color="error">mdi-cancel</v-icon>
                    </v-btn>
                  </v-card-actions>
                </v-card>
              </v-dialog>
            </div>
</template>
<script>
export default {
    name: 'BlockingUser',
    props: {
        contentMenuBlockVisible: {
            type: Boolean,
            required: true,
        },
        blockUser: {
            type: Function,
            required: true,
        },
        unblockUser: {
            type: Function,
            required: true,
        },
        contextMenuMessage: {
            typeof: 'string',
            required: true,
        }
    }
}
</script>